indicator = nil

function update()    
if not indicator then
        indicator = ui.MediaPlayer():setAutoPlay(true)
        touchscreen.syncVolume(indicator)
    end
    if ((ac.getCar().turningLeftLights == true or ac.getCar().turningRightLights == true) and ac.isInteriorView() ==
        true) then
        indicator:setSource('./sounds/HK51_indicator.mp3'):setAutoPlay(true)
        indicator:setVolume(ac.getAudioVolume('main') * 2)
        indicator:play()
    else
        indicator:pause()
        indicator:setCurrentTime(0)
    end
end